%define short_name commons-launcher

Name: jakarta-%short_name
Version: 1.1
Release: alt3
Summary: The Launcher Component is designed to be a cross platform Java application launcher
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/commons/launcher/
Source: %short_name-%version-dev.tar.bz2

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant junit
Requires: ant

%description
Commons-launcher eliminates the need for a batch or shell script to launch a Java class. Some situations where elimination of a batch or shell script may be desirable are:

* You want to avoid having to determining where certain application paths are e.g. your application's home directory, etc. Determining this dynamically in a Windows batch scripts is very tricky on some versions of Windows or when softlinks are used on Unix platforms.
* You want to avoid having to handle native file and path separators or native path quoting issues.
* You need to enforce certain system properties e.g. java.endorsed.dirs when running with JDK 1.4.
* You want to allow users to pass in custom JVM arguments or system properties without having to parse and reorder arguments in your script. This can be tricky and/or messy in batch and shell scripts.
* You want to bootstrap system properties from a configuration file instead hard-coding them in your batch and shell scripts.
* You want to provide localized error messages which is very tricky to do in batch and shell scripts.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n launcher

%build
mkdir lib
%ant_build \
  -Dbuild.sysclasspath=only \
  -Dfinal.name=%short_name \
  -Dsrcdir=. \
  jar javadoc

%install
# jars
mkdir -p %buildroot%_javadir
cp -p dist/bin/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
mkdir -p %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc *.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Mon Mar 21 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt3
- rpm-build-java macroces
- cvs 20050321

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt2
- 1.1-dev (cvs 20041024)

* Sat Sep 11 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt1
- 1.1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-0.2
- Fixed description
- Enabled javadocs

* Thu Dec  4 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:0.9-0.1
- Rebuilt w/o javadocs

